<div class="modal fade" id="finishing-modal" role="dialog">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">&{'form_penyelesaian.label'}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-lg-12">
                    	<p>&{'paket.finishing_modal_message'}</p>
                        <form id="rating-form" method="POST" action="@{finishingPackage(paket?.id)}">
                            #{authenticityToken /}
                            <div class="form-group error">
                            	<label class="col-md-12 control-label">&{'akurasi_produk.label'}</label>
                                <div class="col-md-12"><em>&{'paket.accuracy_description'}</em></div>
                                <div class="col-md-12">
                                    <div class="accuracy-rating">
                                        <span class="fa fa-star-o star-rating" data-rating="1"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="2"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="3"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="4"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="5"></span>
                                        <input type="hidden" name="rating.accuracy" class="rating-value">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group error">
                            	<label class="col-md-12 control-label">&{'pelayanan.label'}</label>
                                <div class="col-md-12"><em>&{'paket.service_description'}</em></div>
                                <div class="col-md-12">
                                    <div class="service-rating">
                                        <span class="fa fa-star-o star-rating" data-rating="1"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="2"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="3"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="4"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="5"></span>
                                        <input type="hidden" name="rating.service" class="rating-value">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group error">
                            	<label class="col-md-12 control-label">&{'kecepatan_pengiriman.label'}</label>
                                <div class="col-md-12"><em>&{'paket.speed_description'}</em></div>
                                <div class="col-md-12">
                                    <div class="speed-rating">
                                        <span class="fa fa-star-o star-rating" data-rating="1"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="2"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="3"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="4"></span>
                                        <span class="fa fa-star-o star-rating" data-rating="5"></span>
                                        <input type="hidden" name="rating.speed" class="rating-value">
                                    </div>
                                </div>
                            </div>

                                <div class="form-group error">
                                	<label class="col-md-12 control-label">&{'pesan_tambahan.label'}</label>
                                    <div class="col-md-12">
                                        <input class="form-control " name="rating.additionalMessage" value=""/>
                                    </div>
                                </div>
                        </form>

                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">&{'close'}</button>
                <button type="button" class="btn btn-primary finished-modal-button" data-dismiss="modal">&{'selesai.label'}</button>
            </div>
        </div>
    </div>
</div>
<script src="@{'/public/javascripts/jquery-1.12.1.min.js'}" type="text/javascript"> </script>
*{#{set 'moreScripts'}}*
<script type="text/javascript">
    jQuery(document).ready(function () {
        jQuery('#button-finished').click(function () {
            jQuery('#finishing-modal').modal({
                backdrop: 'static',
                keyboard: false
            });
        });

        jQuery('.finished-modal-button').click(function () {
            jQuery('#rating-form').submit();
        });

        rating(".accuracy-rating");
        rating(".speed-rating");
        rating(".service-rating");

        function rating(parent) {
            var $star_rating = $(parent + ' .fa');

            var SetRatingStar = function() {
                return $star_rating.each(function() {
                    if (parseInt($star_rating.siblings('input.rating-value').val()) >= parseInt($(this).data('rating'))) {
                        return $(this).removeClass('fa-star-o').addClass('fa-star');
                    } else {
                        return $(this).removeClass('fa-star').addClass('fa-star-o');
                    }
                });
            };

            $star_rating.on('click', function() {
                $star_rating.siblings('input.rating-value').val($(this).data('rating'));
                return SetRatingStar();
            });

            SetRatingStar();
        }

        function validate() {

        }

    });
</script>
*{#{/set}}*